/***********************************************************************************************************************
 *
 * blueMarine Metadata - open source media workflow
 * Copyright (C) 2007-2011 by Tidalwave s.a.s. (http://www.tidalwave.it)
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * WWW: http://bluemarine.tidalwave.it
 * SCM: https://kenai.com/hg/bluemarine~metadata-src
 *
 **********************************************************************************************************************/
package it.tidalwave.metadata.mock;

import org.openide.loaders.DataObject;
import it.tidalwave.metadata.Metadata.FindOption;
import it.tidalwave.metadata.Metadata.StorageType;
import it.tidalwave.metadata.Metadata.StoreOption;
import it.tidalwave.metadata.MetadataItemHolder;
import it.tidalwave.metadata.spi.MetadataItemSourceSinkSupport;
import java.util.Collection;

/*******************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id$
 *
 ******************************************************************************/
public class MetadataItemSourceSinkMock<Item> extends MetadataItemSourceSinkSupport<Item> 
  {
    public MetadataItemSourceSinkMock (Class<Item> itemClass, String name, StorageType storageType) 
      {
        super(itemClass, name, storageType);
      }
    
    public void storeMetadataItem (DataObject dataObject, MetadataItemHolder<Item> holder, StoreOption... options) 
      throws Exception 
      {
        throw new UnsupportedOperationException("Not supported yet.");
      }

    public Collection<? extends MetadataItemHolder<Item>> loadMetadataItems (final DataObject dataObject, final FindOption ... options)
      throws Exception 
      {
        throw new UnsupportedOperationException("Not supported yet.");
      }
  }
