/***********************************************************************************************************************
 *
 * blueMarine Metadata - open source media workflow
 * Copyright (C) 2007-2011 by Tidalwave s.a.s. (http://www.tidalwave.it)
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * WWW: http://bluemarine.tidalwave.it
 * SCM: https://kenai.com/hg/bluemarine~metadata-src
 *
 **********************************************************************************************************************/
package it.tidalwave.metadata.mock;

import java.util.Date;
import java.util.List;
import java.util.Set;
import org.openide.loaders.DataObject;
import it.tidalwave.metadata.Metadata;
import it.tidalwave.metadata.Metadata.FindOption;
import it.tidalwave.metadata.Metadata.StorageType;
import it.tidalwave.metadata.Metadata.StoreOption;
import it.tidalwave.metadata.MetadataItemHolder;
import it.tidalwave.metadata.MetadataItemHolderList;

/*******************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id$
 *
 ******************************************************************************/
public class MetadataMock implements Metadata
  {
    private final DataObject dataObject;
    
    public MetadataMock (final DataObject dataObject)
      {
        this.dataObject = dataObject;
      }
    
    public boolean isItemAvailable (Class<?> metadataItemClass, FindOption... options) 
      {
        throw new UnsupportedOperationException("Not supported yet.");
      }

    public <Item> MetadataItemHolder<Item> findOrCreateItem (Class<Item> metadataItemClass, FindOption... options) 
      {
        throw new UnsupportedOperationException("Not supported yet.");
      }

    public <Item> MetadataItemHolderList<Item> findOrCreateItems (Class<Item> metadataItemClass, FindOption... options)
      {
        throw new UnsupportedOperationException("Not supported yet.");
      }

    public DataObject getDataObject() 
      {
        return dataObject;
      }

    public Date getLatestModificationTime() 
      {
        throw new UnsupportedOperationException("Not supported yet.");
      }

    public Set<Class<?>> getItemClasses() 
      {
        throw new UnsupportedOperationException("Not supported yet.");
      }

    public <Item> Item findItem (Class<Item> metadataItemClass, StorageType sourceType) 
      {
        throw new UnsupportedOperationException("Not supported yet.");
      }

    public <Item> List<Item> findItems (Class<Item> metadataItemClass, StorageType sourceType)
      {
        throw new UnsupportedOperationException("Not supported yet.");
      }

    public <Item> int storeItem (final MetadataItemHolder<Item> holder, final StoreOption ... options)
      {
        throw new UnsupportedOperationException("Not supported yet.");
      }
  }
